Subject: Re: bug#54496: 27.2; image-mode operations should reuse image :data property

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 17:57:08 +0100

[email-masked] writes:

> When viewing an image of external format which image-convert is used for,
> 'r'(image-rotate) command is done immediately.
> But resizing commands like 's o'(image-transform-original) takes much time.
> It seems that 's o' calls image-convert each time.
> To save time, converted data should be reused.

`r' is an image command, while `s o' is an image-mode command, and
image-mode doesn't know anything about the image file being displayed
having done a round-trip via image-convert.  I.e., image-mode creates a
new image with a new `create-image', which I think is the right thing to
do here.

I don't think it's worth it to introduce extra complexity here, so I'm
closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no